import {
	createApp
} from 'vue'
import App from './App.vue'
//导入全局style文件
import './style.css'

import * as ElementPlusIconsVue from '@element-plus/icons-vue'
//引入store
import store from './store/index.js'
// 引入router
import router from './router.js'
// 引入element-plus
import ElementPlus from 'element-plus';
import '/public/style/index.css'
// import 'element-plus/dist/index.css'

import api from '../comment/api.js'
import zhCn from 'element-plus/dist/locale/zh-cn.mjs'



const app = createApp(App);
app.config.globalProperties.$Request = api;
for (const [key, component] of Object.entries(ElementPlusIconsVue)) {
	app.component(key, component)
}
//使用store
app.use(store)
app.use(router)
//使用中文组件
app.use(ElementPlus, {
	locale: zhCn,
})
app.mount('#app')